[Unit]
Description=Container registry cache for %I
Wants=network-online.target
After=network-online.target
After=docker.service
Requires=docker.service
After=consul-template.service

[Service]
Type=simple
EnvironmentFile=/etc/sysconfig/registry-cache@%I
ExecStartPre=-/usr/bin/docker rm registry-cache-%I
ExecStart=/usr/bin/docker run --privileged \
            --name registry-cache-%I \
            -v /var/lib/registry-%I:/var/lib/registry:rw \
            -v /tmp:/tmp \
            -v /etc/docker/registry/%I:/etc/docker/registry \
            -p {{ ipv4_internal }}:${LISTEN_PORT}:5000/tcp \
          docker.io/library/registry
ExecStop=/usr/bin/docker stop consul-client
[Install]
WantedBy=multi-user.target

